-- -------------------------------------------------------------------------- --
-- CharScanner GearStats Reforge Data                                         --
-- -------------------------------------------------------------------------- --

local statName = {
[1] = "ITEM_MOD_SPIRIT_SHORT",           -- SPIRIT    = 1
[2] = "ITEM_MOD_DODGE_RATING_SHORT",     -- DODGE     = 2
[3] = "ITEM_MOD_PARRY_RATING_SHORT",     -- PARRY     = 3
[4] = "ITEM_MOD_HIT_RATING_SHORT",       -- HIT       = 4
[5] = "ITEM_MOD_CRIT_RATING_SHORT",      -- CRIT      = 5
[6] = "ITEM_MOD_HASTE_RATING_SHORT",     -- HASTE     = 6
[7] = "ITEM_MOD_EXPERTISE_RATING_SHORT", -- EXPERTISE = 7
[8] = "ITEM_MOD_MASTERY_RATING_SHORT"    -- MASTERY   = 8
}


local SPIRIT     = 1
local DODGE      = 2
local PARRY      = 3
local HIT        = 4
local CRIT       = 5
local HASTE      = 6
local EXPERTISE  = 7
local MASTERY    = 8


local reforgeIDs = {
[113] = {SPIRIT, DODGE},
[114] = {SPIRIT, PARRY},
[115] = {SPIRIT, HIT},
[116] = {SPIRIT, CRIT},
[117] = {SPIRIT, HASTE},
[118] = {SPIRIT, EXPERTISE},
[119] = {SPIRIT, MASTERY},

[120] = {DODGE, SPIRIT},
[121] = {DODGE, PARRY},
[122] = {DODGE, HIT},
[123] = {DODGE, CRIT},
[124] = {DODGE, HASTE},
[125] = {DODGE, EXPERTISE},
[126] = {DODGE, MASTERY},

[127] = {PARRY, SPIRIT},
[128] = {PARRY, DODGE},
[129] = {PARRY, HIT},
[130] = {PARRY, CRIT},
[131] = {PARRY, HASTE},
[132] = {PARRY, EXPERTISE},
[133] = {PARRY, MASTERY},

[134] = {HIT, SPIRIT},
[135] = {HIT, DODGE},
[136] = {HIT, PARRY},
[137] = {HIT, CRIT},
[138] = {HIT, HASTE},
[139] = {HIT, EXPERTISE},
[140] = {HIT, MASTERY},

[141] = {CRIT, SPIRIT},
[142] = {CRIT, DODGE},
[143] = {CRIT, PARRY},
[144] = {CRIT, HIT},
[145] = {CRIT, HASTE},
[146] = {CRIT, EXPERTISE},
[147] = {CRIT, MASTERY},

[148] = {HASTE, SPIRIT},
[149] = {HASTE, DODGE},
[150] = {HASTE, PARRY},
[151] = {HASTE, HIT},
[152] = {HASTE, CRIT},
[153] = {HASTE, EXPERTISE},
[154] = {HASTE, MASTERY},

[155] = {EXPERTISE, SPIRIT},
[156] = {EXPERTISE, DODGE},
[157] = {EXPERTISE, PARRY},
[158] = {EXPERTISE, HIT},
[159] = {EXPERTISE, CRIT},
[160] = {EXPERTISE, HASTE},
[161] = {EXPERTISE, MASTERY},

[162] = {MASTERY, SPIRIT},
[163] = {MASTERY, DODGE},
[164] = {MASTERY, PARRY},
[165] = {MASTERY, HIT},
[166] = {MASTERY, CRIT},
[167] = {MASTERY, HASTE},
[168] = {MASTERY, EXPERTISE},
}


function CharScanner_GearStats_Reforge(id)
	if reforgeIDs[id] then
		return statName[ reforgeIDs[id][1] ], statName[ reforgeIDs[id][2] ]
	end
	return nil, nil
end